
/* LOADER */
#loader_main {display:none;}

.loader-bar-background {width: 500px; height: 10px; background: #dfdfe8; border-radius: 100px; position: relative;}
.loader-bar { width: 50%;height: calc(100% - 5px);background: var(--main-color-spot);box-sizing: border-box;position: absolute;top: 50%;transform: translateY(-50%);border-radius: 100px;animation-name: loader-alternate;animation-duration: 2s;animation-direction: normal;animation-fill-mode: both;animation-iteration-count: infinite;animation-timing-function: ease;}
.loader-container {position: fixed;bottom: 20px;left: 50%;transform: translateX(-50%); z-index: 999;}
.loader-bar-text {text-align: center; padding-bottom: 10px;}

@keyframes loader-alternate {

    0% {width: 20%; left: 3px; right: initial;}
    25% {width: calc(100% - 5px); left: 3px; right: initial;}
    25.00001% {width: calc(100% - 5px); left: initial; right: 3px;}
    50% {width: 20%; left: initial; right: 3px;}
    75% {width: calc(100% - 5px); left: initial; right: 3px;}
    75.00001% {width: calc(100% - 5px); left: 3px; right: initial;}
    100% {width: 20%; left: 3px; right: initial;}
}



#message_main { z-index: 999; }
.message-container { position: fixed; bottom: -200px; left: 50%; transform: translateX(-50%) perspective(200px) rotateX(-90deg);  background: #fff; border: 2px solid deeppink; padding: 20px 50px; /*border-radius: 10px; box-shadow: 0 0 5px 2px rgba(0,128,0,0.5);*/ transition: 0.5s; z-index: 999; }
.message-container.message-container-show { bottom: 20px; transform: translateX(-50%) perspective(200px) rotateX(0deg);}
.message-text {}